curl --request GET \
--url https://api.spacebring.com/transactions/credits/scheduled/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/transactions/credits/scheduled/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/transactions/credits/scheduled/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scheduledTransactions": [
{
"amount": 123,
"createDate": "2023-11-07T05:31:56Z",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "company",
"logo": {
"key": "<string>",
"url": "<string>"
},
"publicLogoUrl": "<string>",
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduleDate": "2023-11-07T05:31:56Z",
"status": "<string>",
"timezoneId": "<string>",
"type": "booking",
"booking": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"company": {
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"logo": {
"key": "<string>",
"url": "<string>"
},
"metadata": {},
"notes": "<string>",
"publicLogoUrl": "<string>"
},
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerRefCreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discounts": [
{
"coupon": {
"id": "<string>",
"type": "<string>",
"amountOff": 123,
"currencyCode": "<string>",
"percentOff": 123,
"productTypes": [
"<string>"
]
},
"promocode": {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiration": "<string>",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"title": "<string>",
"type": "booking",
"bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"resolveDate": "2023-11-07T05:31:56Z",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userCreatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userCreator": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userOwner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefOwner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve scheduled credits transactions
Retrieve scheduled credits transactions of a subscription or a customer.
OAuth
Required scopes:transactions.readonly or transactionsAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
UUID of the company or membership whose scheduled credits transactions to list.
Maximum number of transactions per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
1 <= x <= 100Token to retrieve the next page of results.
UUID of the subscription whose scheduled credits transactions to list.
Response
OK
List of scheduled credits transactions.
Show child attributes
Show child attributes
Pagination token to fetch the next page of results. Returned when more results exist.
Query string with nextPageToken and the request filter to fetch the next page of results. Returned when more results exist.
Was this page helpful?